### Home Classes Methods

### In Files

- lib/cool.io.rb
- lib/cool.io/listener.rb
- lib/cool.io/io.rb
- lib/cool.io/version.rb
- lib/cool.io/async_watcher.rb
- lib/cool.io/dsl.rb
- lib/cool.io/meta.rb
- lib/cool.io/timer_watcher.rb
- lib/cool.io/socket.rb
- lib/cool.io/server.rb
- lib/cool.io/loop.rb
- lib/cool.io/dns_resolver.rb
- lib/cool.io/iowatcher.rb

### Namespace

- MODULE Coolio::Connections
- MODULE Coolio::DSL
- MODULE Coolio::Meta
- CLASS Coolio::AsyncWatcher
- CLASS Coolio::DNSResolver
- CLASS Coolio::IO
- CLASS Coolio::IOWatcher
- CLASS Coolio::Listener
- CLASS Coolio::Loop
- CLASS Coolio::Server
- CLASS Coolio::Socket
- CLASS Coolio::TCPListener
- CLASS Coolio::TCPServer
- CLASS Coolio::TCPSocket
- CLASS Coolio::TimerWatcher
- CLASS Coolio::UNIXListener
- CLASS Coolio::UNIXServer
- CLASS Coolio::UNIXSocket

### Methods

- ::inspect
- ::version

### Class/Module Index

Quicksearch

- Coolio
- Coolio::AsyncWatcher
- Coolio::Connections
- Coolio::DNSResolver
- Coolio::DNSResolver::Timeout
- Coolio::DSL
- Coolio::DSL::ConnectionBuilder
- Coolio::IO
- Coolio::IO::Watcher
- Coolio::IOWatcher
- Coolio::Listener
- Coolio::Loop
- Coolio::Meta
- Coolio::Server
- Coolio::Socket
- Coolio::Socket::Connector
- Coolio::TCPListener
- Coolio::TCPServer
- Coolio::TCPSocket
- Coolio::TCPSocket::TCPConnectResolver
- Coolio::TCPSocket::TCPConnectSocket
- Coolio::TimerWatcher
- Coolio::UNIXListener
- Coolio::UNIXServer
- Coolio::UNIXSocket
- Cool
- Cool::Coolness
- Cool::IOThunk
- Object
- Thread

No matching classes.

# Coolio

### Constants

DEFAULT_BACKLOG
VERSION

### Public Class Methods

inspect() click to toggle source

    # File lib/cool.io.rb, line 24
    def self.inspect
      "Cool.io"
    end

version() click to toggle source

    # File lib/cool.io/version.rb, line 4
    def self.version
      VERSION
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.